[SCM] build.samba.org - branch master updated

Andrew Bartlett abartlet at samba.org
Sat Sep 1 03:30:03 MDT 2012


The branch, master has been updated
       via  52601dd double the number of possible open files
      from  5a76ae9 move pidl build into the compiler loop

http://gitweb.samba.org/?p=build-farm.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 52601dd6844a450c51ca0862e341e7e71d7e6ec0
Author: Andrew Bartlett <abartlet at samba.org>
Date:   Sat Sep 1 19:34:18 2012 +1000

    double the number of possible open files
    
    With all the test environments we need a few more files.  This new
    limit is a guess however.
    
    Andrew Bartlett

-----------------------------------------------------------------------

Summary of changes:
 build_test.fns |   61 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 57 insertions(+), 4 deletions(-)


Changeset truncated at 500 lines:

diff --git a/build_test.fns b/build_test.fns
index ff5078c..400b802 100644
--- a/build_test.fns
+++ b/build_test.fns
@@ -610,9 +610,9 @@ test_tree() {
 	# darn, this affects sparse files too! disable it
 	# ulimit -f 100000 2> /dev/null
 
-	# try and limit the number of open files to 250. That means we'll discover
-	# fd leaks faster
-	ulimit -n 250 2> /dev/null
+	# try and limit the number of open files to 500, up from 250. That means we'll discover
+	# fd leaks faster while allowing our very complex make test to run
+	ulimit -n 500 2> /dev/null
 
 	# Keep stuff private
 	umask 077
@@ -799,9 +799,14 @@ test_tree() {
 
 	#Action == what to do ie. configure config_log ...
 	actions="$*"
+	extra_actions="$EXTRA_ACTIONS"
 
 	if [ "$actions" = "" ]; then
-		actions="configure config_log config_header build install test $EXTRA_ACTIONS"
+		actions="configure config_log config_header build install test"
+	fi
+
+	if [ "$extra_actions" = "" ]; then
+		actions="none"
 	fi
 
 	# start the build
@@ -909,6 +914,54 @@ test_tree() {
 			fi
 		done
 
+		for action in $extra_actions; do
+		        if [ "x$action" = "x" ]; then
+                              break;
+			fi
+
+			echo Running action $action
+
+			date
+
+			cd $builddir || exit 1
+			export srcdir
+			df .
+			mount
+			vmstat
+
+			if [ "x$PREHOOKS" != "x" ]; then
+				for hooks in $PREHOOKS; do
+					if [ "x$hooks" = "x$action" ]; then
+						( prehook_$action )
+					fi
+				done
+			fi
+
+			( action_$action )
+			action_status=$?
+
+			if [ "x$POSTHOOKS" != "x" ]; then
+				for hooks in $POSTHOOKS; do
+					if [ "x$hooks" = "x$action" ]; then
+						( posthook_$action )
+					fi
+				done
+			fi
+
+			df .
+
+			if [ $action_status != 0 ]; then
+				echo "ACTION FAILED: $action";
+				echo " return code $action_status $action";
+			else
+				echo "ACTION PASSED: $action";
+			fi
+
+			if [ $action_status != 0 ]; then 
+				break;
+			fi
+		done
+
 
 		if [ "$noclean" = "yes" ]; then
 			echo cleanup skipped!


-- 
build.samba.org


More information about the samba-cvs mailing list